Name:		gnome-web-photo
Version:	0.9
Release:	%mkrel 1
Summary:	Generate full images and thumbnails from web pages
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://ftp.gnome.org/pub/gnome/sources/gnome-web-photo/
Source:		http://ftp.gnome.org/pub/gnome/sources/gnome-web-photo/%{version}/gnome-web-photo-%{version}.tar.bz2
Patch0:		gnome-web-photo-0.8-fix-libxul-rpath.patch
BuildRequires:	gnome-common
BuildRequires:	gnome-vfs2-devel
BuildRequires:	intltool
BuildRequires:	libGConf2-devel
BuildRequires:	xulrunner-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
GNOME Web Photographer is a tool to generate full-size image files and
thumbnails from HTML files and web pages.

%prep
%setup -q
%patch0 -p0

%build
NOCONFIGURE=yes ./autogen.sh
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# avoid conflict with nautilus_thumbnailers
mv %{buildroot}%{_sysconfdir}/gconf/schemas/thumbnailer.schemas \
   %{buildroot}%{_sysconfdir}/gconf/schemas/gnome-web-thumbnail.schemas

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas gnome-web-thumbnail

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/gnome-web-print
%{_bindir}/gnome-web-thumbnail
%{_bindir}/gnome-web-photo
%defattr(0644,root,root,0755)
%{_datadir}/gnome-web-photo
%{_sysconfdir}/gconf/schemas/gnome-web-thumbnail.schemas


%changelog
* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 0.9-1mdv2010.0
+ Revision: 446594
- update to new version 0.9

* Sat Aug 22 2009 Funda Wang <fundawang@mandriva.org> 0.8-3mdv2010.0
+ Revision: 419465
- rebuild

* Tue Aug 04 2009 Funda Wang <fundawang@mandriva.org> 0.8-2mdv2010.0
+ Revision: 408679
- use correct libxul libpath for linking

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2010.0
+ Revision: 390607
- update to new version 0.8

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 0.7-1mdv2009.1
+ Revision: 366975
- update to new version 0.7

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2009.1
+ Revision: 356679
- update to new version 0.6

* Thu Mar 12 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.5-1mdv2009.1
+ Revision: 354218
- Replace BuildRequires for libxulrunner-unstable-devel by
  xulrunner-devel-unstable, otherwise wrong 32-bit devel version of
  package is chosen on x86_64.
- Added missing BuildRequires: gnome-vfs2-devel, intltool,
  libGConf2-devel
- import gnome-web-photo


